---
title: "The repositories and projects you do not record, on every machine you sign in on"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.gitpando.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Pando API › sessions

`GET /v1/user/session-exclusions`

## Authentication

Requires one of the following:

- `credential`, http, header `Authorization`
- `session`, apiKey, in cookie

## Code samples

### cURL

```curl
curl --request GET \
  --url https://app.gitpando.com/v1/user/session-exclusions \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://app.gitpando.com/v1/user/session-exclusions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://app.gitpando.com/v1/user/session-exclusions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

OK

#### Example

```json
{
  "exclusions": [
    {
      "monorepo": "string",
      "monorepo_id": "string",
      "project": "string"
    }
  ]
}
```

- `getSessionExclusions.response.200.exclusions` (array<object>, required)
  - `getSessionExclusions.response.200.exclusions.monorepo` (string, required)
  - `getSessionExclusions.response.200.exclusions.monorepo_id` (string, required)
  - `getSessionExclusions.response.200.exclusions.project` (string | null, required)


Source: https://docs.gitpando.com/api/sessions/getSessionExclusions/index.md
